output "ip_internes" {
  value = {
    frontend = google_compute_instance.frontend_vm.network_interface[0].network_ip
    backend  = google_compute_instance.backend_vm.network_interface[0].network_ip
    database = google_compute_instance.database_vm.network_interface[0].network_ip
  }
}

output "ip_public_frontend" {
  value = google_compute_instance.frontend_vm.network_interface[0].access_config[0].nat_ip
}

output "nom_instances" {
  value = {
    frontend = google_compute_instance.frontend_vm.name
    backend  = google_compute_instance.backend_vm.name
    database = google_compute_instance.database_vm.name
  }
}
